Summary:        Alternative interface to modules that export symbols
Name:           perl-Importer
Version:        0.026
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Importer
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Importer-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(strict) perl(warnings) perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# For test
BuildRequires:  perl(base) perl(Test::More) >= 0.98
BuildArch:      noarch

%description
This module acts as a layer between Exporter and modules which consume 
exports. It is feature-compatible with Exporter, plus some much needed 
extras. You can use this to import symbols from any exporter that 
follows Exporters specification. The exporter modules themselves do not 
need to use or inherit from the Exporter module, they just need to set 
@EXPORT and/or other variables.

%prep
%autosetup -n Importer-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.026-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.026-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.026-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.026-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.026-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Oct 31 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.026-1
- Initial build
